The Ultimate Apocalypse mod team proudly presents to the Dawn of War: Soulstorm players and fans, an eagerly awaited and packed with epic content game experience, the Ultimate Apocalypse mod! Imagine a mod featuring massive Warhammer 40,000 battles where all 9 races in Soulstorm (and more!) have a chance at epic victory. A mod where there's no shortage of all new units, buildings, abilities, and even titans! A mod where there's nearly no limits holding you back. It's all about all out, massive war. Wanna nuke your enemies? You can. Gloriously epic titan duels are your thing? Ultimate Apocalypse has you covered. Not only that, but Ultimate Apocalypse is continuously tested to ensure the epic battle experience it delivers remains unique while being completely awesome. Thanks to you (yes, you!) and everyone playing, Ultimate Apocalypse has been steady within the top 20 ranked mods for years.

Report (OUTDATED) Ultimate Apocalypse - Full (1.86)

This full version has been archived by the uploader because it is out of date and no longer supported. We recommend you browse the file list for the latest full version.

Filename
UA-THB-v1.86.16-FULL.exe
Category
Full Version
Uploader
Lord_Cylarne
Added
Size
1.57gb (1,686,021,014 bytes)
Downloads
62,426 (1 today)
MD5 Hash
5fdb8d8b0f4972f377db16eeab36e655
Embed Button
Embed Widget
Description

Ultimate Apocalypse - The Hunt Begins (for version 1.86+)! Does not require or conflict with any previous versions. Installer inside will delete files for you first before installment, so no need to delete or uninstall yourself. If it does not work in multiplayer with others, then uninstall as you ignored errors during install process. Click "read more +" for additional download mirrors and install instructions.

Preview
(OUTDATED) Ultimate Apocalypse - Full (1.86)
Comments  (0 - 50 of 227)
Lord_Cylarne Author
Lord_Cylarne

If you've not read the FAQ, please read before posting! Do not install standalone factions if you already have them... for now, install IDH manually as the installer does not handle it, atm.

Post bugs here: Moddb.com

FAQ: Moddb.com

Update video: Youtube.com

Changelog: Mediafire.com

NTCore 2.0 (For steam users): Moddb.com

Reply Good karma+8 votes
ncux404
ncux404

I established and everything is good

But the manager showed that fashions the inquisitor and Tyranids is absent

Manually I established these things in the folder and Everything works for 100%

Thanks a lot for your work.
I thank you for everything

Reply Good karma Bad karma+2 votes
zompone
zompone

how do you manually estabilish them?

Reply Good karma Bad karma+5 votes
Lord_Cylarne Author
Lord_Cylarne

How to install Ultimate Apocalypse mod, VIDEO!

Reply Good karma+1 vote
MiNDolinaDahaniFA
MiNDolinaDahaniFA

Hello so i wanted to ask you witch version of DOW SS do i need to use because i was getting too much errors and i got frustrated so PLS say Thanks :D

Reply Good karma Bad karma+1 vote
JonKryl003
JonKryl003

1.20

Reply Good karma Bad karma+1 vote
4Riven
4Riven

When I go to the Inquiasition: Daemonhunt Page there are no Downloads available. Do you know what`s the problem?

Reply Good karma Bad karma+1 vote
nuclearunicorn7
nuclearunicorn7

There's a link on the mod page to a mediafire download, they didn't put it up directly on moddb.

Reply Good karma Bad karma+1 vote
dustinxman
dustinxman

2 downloads before release, you taunt us Cylarne. I am wounded.

Reply Good karma Bad karma+2 votes
Kriegtooth
Kriegtooth

Hot damn! Sounds great :D

Reply Good karma Bad karma+2 votes
Threestepsfromhell
Threestepsfromhell

For the greater good!

Reply Good karma Bad karma+5 votes
Wulfburk12
Wulfburk12

FOR THE EMPEROR!!1

Reply Good karma Bad karma+4 votes
SirPiccio
SirPiccio

EPIC

Reply Good karma Bad karma+2 votes
rocken
rocken

68 Downloads Heheheh

Reply Good karma Bad karma+2 votes
VoidLight
VoidLight

I guess the SM and cron players will be happy, I cant wait for that CSM/Daemons/IDH/NID/Tau patch(s) since they are my most used races. Espceically the upcomming lv8 hero abilities for daemons and nids! XD

Reply Good karma Bad karma+4 votes
tjopzilla
tjopzilla

Third!! ahh... I'm not the third?

Reply Good karma Bad karma+2 votes
Washeek
Washeek

should any of the faction mods be updated? For example I think that daemons mod was used under different version in the past right?

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

Daemons mod 2.0 will be acquired for you I think. ^^ Just make sure to download it. ^^

Reply Good karma+2 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

MIC132
MIC132

For me the installer failed somewhere after Chaos Deamons with the last message in log being.
"download failed: HTTP/1.0 403 Forbidden"

Reply Good karma Bad karma+5 votes
Lord_Cylarne Author
Lord_Cylarne

Try this: Forums.relicnews.com(1-6)-Complete-Released!&p=1045565563&viewfull=1#post1045565563

Edit: Try this: Forums.relicnews.com(2-0)-Beta-Released!

Edit: Nevermind. :\ Google daemons 2.0. ^^

If you can't download daemons 2.0 because you are restricted, that stinks massively.

Reply Good karma+1 vote
MIC132
MIC132

The error is after Chaos Deamons, and looking at the logs probably after Tyranids also. So I guess it's the Inquisition problem you mentioned below. Is inquisition the only thing you need to get manually for now?

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

To my knowledge, yes.

But I haven't encountered a 403 forbidden error before...

Reply Good karma+1 vote
Brsk79
Brsk79

Moddb.com
Daemons 2.0!

Reply Good karma Bad karma+1 vote
Shadow_killer45
Shadow_killer45

Huh. Getting a "Download failed: HTTP/1.1 404 Not Found" right after the Tyranid mod has downloaded and installed.

Reply Good karma Bad karma+3 votes
Lord_Cylarne Author
Lord_Cylarne

That's normal. Be sure to install IDH manually as the installer cannot recognize the IDH site for some reason... we're working on it as we speak!

Reply Good karma+4 votes
PoliteLiberator
PoliteLiberator

Maybe you need to include these mods in your installation file.

Reply Good karma Bad karma+2 votes
Washeek
Washeek

That to my knowledge is not possible as it would violate the rules that these mod creators set i.e. that noone should "distribute" their mods

Reply Good karma Bad karma0 votes
Guest
Guest

IDH?

Reply Good karma Bad karma0 votes
Night_Lords_Captain
Night_Lords_Captain

Inquisition Daemon Hunters mod, it adds in the Holy Inquisition.

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

VoidLight
VoidLight

You also need the free UI mod if you didnt have it already or else the game will crash. Forums.relicnews.com

Reply Good karma Bad karma+1 vote
travagant
travagant

Thank you

Reply Good karma Bad karma+1 vote
harbinger_of_sorrow
harbinger_of_sorrow

Necron and Sister turrets(didn't check other races) don't have shooting animation. They still deal damage. This was present in the previous version as well.

Also turrets now again provide the area in which you can build. And when starting up the game I get the soulstorm loading screen instead of UA one, but the mod is definitely selected and works. Is that how it's supposed to be or did I **** something up?

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

Loading screen is correct.

But as for Necron and Sisters turret not shooting properly, I'm afraid I don't get that error.

Are you on low res settings?

Reply Good karma+2 votes
harbinger_of_sorrow
harbinger_of_sorrow

Imperial guard turrets with heavy weapons add-on also don't have the animation. They just point at the enemy and the enemy is taking damage. :/

No, all settings are on high with 1920x1080 resolution.

Reply Good karma Bad karma+1 vote
Zsombi
Zsombi

Soo.. this is for those whose systems can handle high settings?
Mine are on low-medium and I still can't see them either. In ver.1.73 all was fine.
Why have you started forcing such high res graphics? I'm sad since 1.80

Reply Good karma Bad karma+2 votes
Zsombi
Zsombi

I just tried it with the highest settings, but several weapon /projectile animations still don't show up for certain races, like Necrons and IG.

Reply Good karma Bad karma+2 votes
djogloc
djogloc

Hey guys, is it normal to have more casualities than kills while playing with the Imperial Guard agaisnt Orks on hard difficulty? (Considering most of the orks forces attacks your forces and not your allies).

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

Depends on how you play?

Reply Good karma+1 vote
djogloc
djogloc

I only use conscript to capture points, after that, I send them to death and recruit the real imperial guardsmen. I am kind of bad in managing so it takes time to me actually built the big guns of the Imperial Guard. But most of the times I find myself spamming everything I can buy agaisnt the orks.

Reply Good karma Bad karma+1 vote
Lord_Chimera
Lord_Chimera

You play IG while having a high causalities rate? Seems you're doing it right. :D

On a serious note I do not recommended going melee using Conscripts and Guardsmen. Use Ogryns for that purpose while having the two doing fire support.

Reply Good karma Bad karma+3 votes
djogloc
djogloc

Thank you. Even in standart the orks are hard, I love it. It's exactly how it should be, the orks are always attacking with big forces. Well, I can't say the same of the IG AI that were my ally. They are just useful in giving me money, without that, they are useless and just recruit one or two conscripts. They work well in Hard difficulty and beyond, but that's when the orks don't overrun us xD

Reply Good karma Bad karma+1 vote
Posterus96
Posterus96

So all I need to download is this and the IDH, right?

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

Correct. If you have Daemons and Tyranids already JUST download 1.86. That's it.

Reply Good karma+1 vote
MrKindCat
MrKindCat

1-something wrong with a small gargat firing animation or shielding saw a huge square
2- capelan in terminator armor form IDH bad model
for now thats all haven't played much

Reply Good karma Bad karma+1 vote
Lord_Cylarne Author
Lord_Cylarne

1. No turret free place is currently unsupported. Might be available later.

2. Might need to reinstall to fix that issue. ^^

Reply Good karma+1 vote
MrKindCat
MrKindCat

reinstalled and free place works fine)later will check again for capelan.And Thanks for a good work its run better now.

Reply Good karma Bad karma+1 vote
VoidLight
VoidLight

Some small bugs have been posted in the 1.86.17 bug thread.

Reply Good karma Bad karma+1 vote
HollowAcid
HollowAcid

I have vanilla Soulstorm on steam, without any type of mods. If I download this, will i get the Tyranids, inquisition and demons or i have to install them separately? What i am trying to say is that i can play the mod only with this o ir need other mods?

Sorry for my primitive english.

Reply Good karma Bad karma+1 vote
Washeek
Washeek

You need others separately - namely you need to manually download and install the Inquisition Demonhunt mod.

(you also need others but this installer should do that automatically)

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
Dawn of War
Contact
Send Message
Release date
Mod watch
Follow
File
Browse
Files
Report
Report
Share
Related Games
Dawn of War
Dawn of War Real Time Strategy
Related Groups
Ultimate Apocalypse mod team
Ultimate Apocalypse mod team Developer & Publisher